Subject: Re: [TEST] VirtioFS instead of 9p

From: Jakub Kicinski <[email-masked]>
Date: Tue, 26 Mar 2024 07:23:32 -0700

On Tue, 26 Mar 2024 11:27:17 +0100 Matthieu Baerts wrote:
> > "All you need is to install" undersells it a little :)
> > 
> > It's not packaged for silly OS^w^w AWS Linux.  
> 
> Thank you for having tried! That's a shame "virtiofsd" is not packaged!
> 
> > And the Rust that comes with it doesn't seem to be able to build it :(  
> Did you try by installing Rust (rustc, cargo) via rustup [1]? It is even
> possible to get the offline installer if it is easier [2]. With rustup,
> you can easily install newer versions of the Rust toolchain.
> 
> [1] https://www.rust-lang.org/learn/get-started
> [2] https://forge.rust-lang.org/infra/other-installation-methods.html

I know, I know, but there's only so many minutes ;)

> Do you need a hand to update the wiki page?

Yes please! I believe it's a repo somewhere, but not sure if it's easy
to send PRs against it. If PRs are not trivial feel free to edit the
wiki directly.